> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blockworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Watchlist

> Updates a watchlist's title, and optionally replaces its entire asset list.



## OpenAPI

````yaml api-reference/monitoring/watchlists-openapi.json PATCH /user-management/v1/watchlists/{id}
openapi: 3.0.0
info:
  description: OpenAPI specification for the Blockworks Watchlists API.
  title: Blockworks Watchlists API
  version: 1.0.0
servers:
  - url: https://api.blockworks.com
    description: Blockworks API
security:
  - apiKey: []
paths:
  /user-management/v1/watchlists/{id}:
    patch:
      tags:
        - user-management/watchlist
      summary: Update a watchlist
      description: Update a specific watchlist by ID for the authenticated user
      operationId: UpdateWatchlist
      parameters:
        - in: path
          name: id
          required: true
          schema:
            type: string
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/UpdateWatchlistRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    $ref: '#/components/schemas/Watchlist'
                  error:
                    type: string
                required:
                  - data
                type: object
              example:
                error: null
                data:
                  id: BA3FDA7B
                  title: Updated Portfolio Name
                  assetIds:
                    - 1e31218a-e44e-4285-820c-8282ee222035
                    - 21c795f5-1bfd-40c3-858e-e9d7e820c6d0
                  createdAt: '2026-03-27T14:11:02.612968Z'
                  updatedAt: '2026-03-27T14:11:08.052905Z'
          description: Default response
        '400':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Bad Request
        '403':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                properties:
                  data: {}
                  error:
                    type: string
                required:
                  - data
                type: object
          description: Internal Server Error
      security:
        - apiKey: []
components:
  schemas:
    UpdateWatchlistRequest:
      properties:
        assetIds:
          description: >-
            If not provided, the watchlist assets will not be updated. If empty,
            all assets will be removed.
          items:
            type: string
          type: array
        title:
          description: If not provided, the watchlist title will not be updated
          type: string
      type: object
    Watchlist:
      properties:
        assetIds:
          items:
            type: string
          type: array
        createdAt:
          format: date-time
          type: string
        id:
          type: string
        title:
          type: string
        updatedAt:
          format: date-time
          type: string
      required:
        - assetIds
        - createdAt
        - id
        - title
        - updatedAt
      type: object
  securitySchemes:
    apiKey:
      in: header
      name: X-Blockworks-API-Key
      type: apiKey

````